import { renderless, api } from '@opentinyvue/vue-renderless/timeline-item/vue';
import { defineComponent, props, setup } from '@opentinyvue/vue-common';
import { iconWarn, iconClose, iconYes } from '@opentinyvue/vue-icon';
import '@opentinyvue/vue-theme/steps/index.css';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  emits: ["click"],
  props: [].concat(props, ["node", "space", "lineWidth", "shape", "autoColorField", "nodeIndex"]),
  components: {
    IconWarn: iconWarn(),
    IconClose: iconClose(),
    IconYes: iconYes()
  },
  setup: function setup$1(props2, context) {
    return setup({
      props: props2,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "tiny-timeline-item",
    class: _vm.state.computedItemCls,
    style: _vm.state.computedItemStyle
  }, [!_vm.rootProps.vertical ? [_vm.rootProps.textPosition === "right" ? [_c("div", {
    class: _vm.state.iconClass,
    on: {
      "click": function click($event) {
        return _vm.handleClick(_vm.node);
      }
    }
  }, [(_vm.nodeIndex >= _vm.state.current || _vm.rootProps.onlyNumber) && !_vm.node[_vm.autoColorField] && !_vm.node.error ? _c("span", {
    staticClass: "number"
  }, [_vm._v(_vm._s(_vm.rootProps.showNumber ? _vm.nodeIndex + _vm.rootProps.start : "") + " ")]) : [_vm.node[_vm.autoColorField] === "error" || _vm.node.error ? _c("icon-close", {
    staticClass: "tiny-svg-size fixicon icon-error"
  }) : _vm.node[_vm.autoColorField] === "warning" ? _c("icon-warn", {
    staticClass: "tiny-svg-size fixicon icon-warning"
  }) : _vm.node[_vm.autoColorField] === "success" || _vm.nodeIndex < _vm.state.current && !_vm.node[_vm.autoColorField] ? _c("icon-yes", {
    staticClass: "tiny-svg-size fixicon icon-yes"
  }) : _c(_vm.node[_vm.autoColorField], {
    tag: "component",
    staticClass: "fixicons"
  })]], 2), _c("div", {
    staticClass: "node-description"
  }, [_vm._t("text", function() {
    return [_c("div", {
      staticClass: "name",
      domProps: {
        "textContent": _vm._s(_vm.node[_vm.rootProps.nameField])
      },
      on: {
        "click": function click($event) {
          return _vm.handleClick(_vm.node);
        }
      }
    })];
  }, {
    "slotScope": _vm.node
  }), _vm.nodeIndex !== _vm.state.nodesLength - 1 ? _c("div", {
    class: ["line", {
      "line-done": _vm.nodeIndex < _vm.state.current,
      "line-end": _vm.nodeIndex === _vm.state.nodesLength - 1
    }],
    style: {
      width: _vm.state.computedLineWidth
    }
  }) : _vm._e(), _c("div", {
    ref: "description",
    staticClass: "tiny-timeline-item__description"
  }, [_vm._t("description", function() {
    return [_vm._v(" " + _vm._s(_vm.node.description) + " ")];
  }, {
    "slotScope": _vm.node
  }), _c("div", {
    directives: [{
      name: "show",
      rawName: "v-show",
      value: _vm.nodeIndex === _vm.rootProps.active,
      expression: "nodeIndex === rootProps.active"
    }]
  }, [_vm._t("active-node-desc", null, {
    "slotScope": _vm.node
  })], 2)], 2)], 2)] : [_vm._t("top", function() {
    return [_c("div", {
      staticClass: "date-time"
    }, [_c("span", {
      staticClass: "time"
    }, [_vm._v(_vm._s(_vm.getDate(_vm.node[_vm.rootProps.timeField]).date) + " " + _vm._s(_vm.getDate(_vm.node[_vm.rootProps.timeField]).time))])])];
  }, {
    "slotScope": _vm.node
  }), _c("div", {
    staticClass: "tiny-steps__node"
  }, [_c("div", {
    class: _vm.state.iconClass,
    on: {
      "click": function click($event) {
        return _vm.handleClick(_vm.node);
      }
    }
  }, [(_vm.nodeIndex >= _vm.state.current || _vm.rootProps.onlyNumber) && !_vm.node[_vm.autoColorField] && !_vm.node.error ? _c("span", {
    staticClass: "number"
  }, [_vm._v(_vm._s(_vm.rootProps.showNumber ? _vm.nodeIndex + _vm.rootProps.start : "") + " ")]) : [_vm.node[_vm.autoColorField] === "error" || _vm.node.error ? _c("icon-close", {
    staticClass: "tiny-svg-size fixicon icon-error"
  }) : _vm.node[_vm.autoColorField] === "warning" ? _c("icon-warn", {
    staticClass: "tiny-svg-size fixicon icon-warning"
  }) : _vm.node[_vm.autoColorField] === "success" || _vm.nodeIndex < _vm.state.current && !_vm.node[_vm.autoColorField] ? _c("icon-yes", {
    staticClass: "tiny-svg-size fixicon icon-yes"
  }) : _c(_vm.node[_vm.autoColorField], {
    tag: "component",
    staticClass: "fixicons"
  })]], 2), _c("div", {
    class: ["line", {
      "line-done": _vm.nodeIndex < _vm.state.current,
      "line-end": _vm.nodeIndex === _vm.state.nodesLength - 1
    }]
  })]), _c("div", {
    staticClass: "node-description"
  }, [_vm._t("bottom", function() {
    return [_c("div", {
      staticClass: "name",
      domProps: {
        "textContent": _vm._s(_vm.node[_vm.rootProps.nameField])
      },
      on: {
        "click": function click($event) {
          return _vm.handleClick(_vm.node);
        }
      }
    }), _vm.rootProps.showStatus ? _c("div", {
      staticClass: "status"
    }, [_vm._v(" " + _vm._s(_vm.getStatus(_vm.nodeIndex)) + " ")]) : _vm._e()];
  }, {
    "slotScope": _vm.node
  })], 2)]] : [_vm._t("left", function() {
    return [_vm.shape === "circle" ? _c("div", {
      staticClass: "date-time"
    }, [_c("span", {
      staticClass: "date"
    }, [_vm._v(_vm._s(_vm.getDate(_vm.node[_vm.rootProps.timeField]).date))]), _c("span", {
      staticClass: "time"
    }, [_vm._v(_vm._s(_vm.getDate(_vm.node[_vm.rootProps.timeField]).time))])]) : _vm._e()];
  }, {
    "slotScope": _vm.node
  }), _c("div", {
    staticClass: "tiny-timeline-item__pillar"
  }, [_vm.shape === "circle" ? _c("div", {
    class: _vm.state.iconClass,
    on: {
      "click": function click($event) {
        return _vm.handleClick(_vm.node);
      }
    }
  }, [(_vm.state.isReverse ? _vm.nodeIndex > _vm.state.current : _vm.nodeIndex < _vm.state.current) || _vm.node[_vm.autoColorField] ? [_vm.node[_vm.autoColorField] === "error" || _vm.node.error ? _c("icon-close", {
    staticClass: "tiny-svg-size fixicon icon-error"
  }) : _vm.node[_vm.autoColorField] === "warning" ? _c("icon-warn", {
    staticClass: "tiny-svg-size fixicon icon-warning"
  }) : _vm.node[_vm.autoColorField] === "success" || !_vm.node[_vm.autoColorField] ? _c("icon-yes", {
    staticClass: "tiny-svg-size fixicon icon-yes"
  }) : _c(_vm.node[_vm.autoColorField], {
    tag: "component",
    staticClass: "fixicons"
  })] : _c("span", {
    staticClass: "number"
  }, [_vm._v(_vm._s(_vm.rootProps.showNumber ? _vm.state.isReverse ? _vm.state.nodesLength - 1 - _vm.nodeIndex + _vm.rootProps.start : _vm.nodeIndex + _vm.rootProps.start : ""))])], 2) : _c("div", {
    staticClass: "dot-container",
    on: {
      "click": function click($event) {
        return _vm.handleClick(_vm.node);
      }
    }
  }, [_vm.node[_vm.autoColorField] ? _c(_vm.node[_vm.autoColorField], {
    tag: "component",
    staticClass: "fixicons"
  }) : _c("span", {
    staticClass: "dot"
  })], 1), _c("div", {
    staticClass: "line"
  })]), _vm._t("right", function() {
    return [_c("div", {
      staticClass: "tiny-timeline-item__content",
      on: {
        "click": function click($event) {
          return _vm.handleClick(_vm.node);
        }
      }
    }, [_c("div", {
      staticClass: "name"
    }, [_vm._v(_vm._s(_vm.node[_vm.rootProps.nameField]))]), _vm._t("description", function() {
      return [_vm._v(" " + _vm._s(_vm.node.description) + " ")];
    }, {
      "slotScope": _vm.node
    }), _vm.shape === "dot" ? _c("div", {
      staticClass: "time"
    }, [_vm._v(_vm._s(_vm.node[_vm.rootProps.timeField]))]) : _vm._e()], 2)];
  }, {
    "slotScope": _vm.node
  })]], 2);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var pc = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { pc as default };
